detail::changeset_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::changeset_handler:
[legend]
Collaboration diagram for detail::changeset_handler:
[legend]

## Static Public Member Functions

template<typename TDummy >
static void | set_value (osmium::Changeset &, const TDummy &) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_cid id) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_num_changes num_changes) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_num_comments num_comments) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_created_at created_at) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_closed_at closed_at) noexcept
static void | set_value (osmium::Changeset &changeset, attr::_uid uid) noexcept

## Member Function Documentation

template<typename TDummy >

static void detail::changeset_handler::set_value | ( | osmium::Changeset & | ,
|  | const TDummy & |
| ) |  |

inline static noexcept

static void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_cid | id
| ) |  |

inline static noexcept

static void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_num_changes | num_changes
| ) |  |

inline static noexcept

static void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_num_comments | num_comments
| ) |  |

inline static noexcept

static void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_created_at | created_at
| ) |  |

inline static noexcept

static void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_closed_at | closed_at
| ) |  |

inline static noexcept

static void detail::changeset_handler::set_value | ( | osmium::Changeset & | changeset,
|  | attr::_uid | uid
| ) |  |

inline static noexcept

The documentation for this struct was generated from the following file:

- osmium/builder/attr.hpp